INCLUDES = -I$(kde_includes)/arts $(all_includes)

libaudio_a_METASOURCES = AUTO

noinst_LIBRARIES = libaudio.a

libaudio_a_SOURCES = CdboCddaView.cpp CdboPlayerPnl.cpp CdboAudioActionFactory.cpp

# convertaudio.cpp convertaudio_impl.cpp
# DISTCLEANFILES = convertaudio.cpp convertaudio.h

EXTRA_DIST = CdboAudioActionFactory.h CdboAudioActionFactory.cpp CdboCddaView.h CdboPlayerPnl.h CdboPlayerPnl.cpp CdboCddaView.cpp


# libaudio_a_LDFLAGS = $(all_libraries) $(LIB_KFILE) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_QT) $(LIBSOCKET)

# libaudio_a_LIBADD = $(kde_libraries)/libartsflow.la $(kde_libraries)/libmcop.la 
#	$(kde_libraries)/libsoundserver_idl.la $(kde_libraries)/libkmedia2.la $(kde_libraries)/libartskde.la

# convertaudio.cpp: convertaudio.h
# convertaudio.h: convertaudio.idl
#	$(MCOPIDL) -I$(kde_includes)/arts convertaudio.idl
#	mv convertaudio.cc convertaudio.cpp

# convertaudio_impl.cpp: convertaudio.h
# CdboAudioActionFactory.cpp: convertaudio.h
